autofs-5.0.8 - fixes for samples/auto.master

From: Vincent McIntyre <vincent.mcintyre@csiro.au>

Replace description that described regular automount maps, not
master maps. Add a note about the format of included files.
Clarify what happens to master map options not consumed by
'mount'.

Signed-off-by: <vincent.mcintyre@csiro.au>
---
 CHANGELOG            |    1 +
 man/auto.master.5.in |    2 +-
 samples/auto.master  |    7 ++++---
 3 files changed, 6 insertions(+), 4 deletions(-)

diff --git a/CHANGELOG b/CHANGELOG
index 167aa5a..b84ccdb 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -37,6 +37,7 @@
 - fix fix options compare.
 - use open(2) instead of access(2) to trigger dependent mounts.
 - fix fix map source with type lookup.
+- fixes for samples/auto.master.
 
 17/10/2013 autofs-5.0.8
 =======================
diff --git a/man/auto.master.5.in b/man/auto.master.5.in
index 1d96d7e..1095406 100644
--- a/man/auto.master.5.in
+++ b/man/auto.master.5.in
@@ -139,7 +139,7 @@ the \fBdn\fP of an LDAP entry for maps of type \fBldap\fP.
 .br
 Any remaining command line arguments without leading dashes (\-) are
 taken as options (\fI\-o\fP) to \fBmount\fP.  Arguments with leading
-dashes are considered options for the maps.
+dashes are considered options for the maps and are passed to automount (8).
 .sp
 The \fBsun\fP format supports the following options:
 .RS
diff --git a/samples/auto.master b/samples/auto.master
index 72f086c..0f2c8ab 100644
--- a/samples/auto.master
+++ b/samples/auto.master
@@ -1,8 +1,8 @@
 #
 # Sample auto.master file
-# This is an automounter map and it has the following format
-# key [ -mount-options-separated-by-comma ] location
-# For details of the format look at autofs(5).
+# This is a 'master' automounter map and it has the following format:
+# mount-point [map-type[,format]:]map [options]
+# For details of the format look at auto.master(5).
 #
 /misc	/etc/auto.misc
 #
@@ -13,6 +13,7 @@
 /net	-hosts
 #
 # Include /etc/auto.master.d/*.autofs
+# The included files must conform to the format of this file.
 #
 +dir:/etc/auto.master.d
 #
